#include <bits/stdc++.h>


using namespace std;

//int H[1000];

main(){
    int brojStalaktita;
    int pericinaVisina;
    int hTmp;
    int indeksStalaktita=-1;
    scanf("%d %d", &brojStalaktita,&pericinaVisina);
    //unos
    for(int i=0;i<brojStalaktita;i++){
        scanf("%d",&hTmp);
        if(pericinaVisina>=hTmp&&indeksStalaktita==-1){
            indeksStalaktita=i+1;

        }

    }
    printf("%d",indeksStalaktita);


}